	SUBROUTINE PRESS(STRING,LNGTH)
	CHARACTER*(*) string
	INTEGER LNGTH
	INTEGER I,J,K
	character null/0/
	
	K = LEN(STRING)

C Find 1st non-blank, non-null character
	DO i=1,k
	  j = i
	  if (string(i:i) .ne. ' ' .and. string(i:i) .ne. null) goto 1
	enddo

C drop leading blanks/nulls
1	string = string(j:)

C now find last non-blank, non-null
	k = k-j+1
	do i=k,1,-1
	  LNGTH = i
	  if (string(i:i) .ne. ' ' .and. string(i:i) .ne. null) return
	enddo
	return
	end
